не обновляется clamav (решено)

Установил clamav (sudo apt-get install clamav) В завершении установки терминал выдал следующие три строчки:
* Starting ClamAV virus database updater freshclam
ERROR: Incorrect argument format for option HTTPProxyPort
ERROR: Can't open/parse the config file /etc/clamav/freshclam.conf

Может нужно репозиторий подключить?

0
Cyber_M - 15 Август, 2011 - 02:40
Изображение пользователя Cyber_M.

ну по ошибка судя вроде как 1 он не видит сетевого подключения (или оно не правильно настроено) 2 не может открыть конфиг.
По 1 ошибке опишите как вы выходите в интернет.
По 2 ошибке удостоверьтесь существует ли данный путь к файлу и сам файл.

0
Гость - 15 Август, 2011 - 19:37

По 1 ошибке: vpn pptp
По 2 ошибке: извиняюсь за невежество (у меня небольшой опыт в linux), но как удостовериться существует ли данный путь к файлу и сам файл?

0
smartass - 15 Август, 2011 - 20:06
Изображение пользователя smartass.

2. cat путь/имя_файла
Если есть - выведет содержимое. Если нет, то выдаст ошибку. А так наверное проще без консоли просто посмотреть любым файловым менеджером.

0
Shtolc - 16 Август, 2011 - 19:44

Все понял. Еще раз:
По 1 ошибке: vpn pptp
По 2 ошибке: файл существует, путь правильный. Я его открыл с помощью kate, там в конце:
# Check for new database 24 times a day
Checks 24
DatabaseMirror db.local.clamav.net
DatabaseMirror database.clamav.net
# Proxy: http://0:0/
HTTPProxyServer 0
HTTPProxyPort 0
Я попробовал удалить последние три строчки, но не получилось - нет прав.

0
DarkneSS - 16 Август, 2011 - 20:32
Изображение пользователя DarkneSS.

Откройте с правами: Alt+F2: kdesudo kate Enter

0
Shtolc - 16 Август, 2011 - 21:07

Получилось!
Я открыл с помощью kate (kdesudo kate) файл freshclam.conf и удалил последние три строчки:
# Proxy: http://0:0/
HTTPProxyServer 0
HTTPProxyPort 0
Дал команду sudo freshclam и определения антивируса обновились.
Теперь выяснилось, что устарели графический интерфейс и антивирусный движок - каких их обновить? Я попробовал командой sudo aptitude upgrade clamav, но терминал выдал:
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.
Может быть у меня последние версии (движок 0.97, оболочка 4.30) и это просто глюк?

0
lyol.val - 16 Август, 2011 - 21:21

http://wiki.clamav.net/Main/UpgradeInstructions
Инструкция по обновлению, внимание на заметки...

0
Cyber_M - 18 Август, 2011 - 11:21
Изображение пользователя Cyber_M.

Не далее как вчера вечером прилетели обновления на clamav движок, базы. через менеджер пакетов слил все гуд

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры